Subject: Re: [PATCH] Compile 6xx specific code only for 6xx machines

From: Kumar Gala <[email-masked]>
Date: Wed, 15 Dec 2004 09:15:53 -0600

One reason for this is that we dont have boot/common code for e500.  Up 
to this point we've been using uImage's which causes code in 
boot/common not to get built.

Maybe someone will be motivated to right e500/85xx boot/common code :)

- kumar

On Dec 15, 2004, at 8:49 AM, Thomas Gleixner wrote:

> On Wed, 2004-12-15 at 07:35 -0700, Tom Rini wrote:
>  > On Wed, Dec 15, 2004 at 03:21:43PM +0100, [email-masked] wrote:
>  >
> > > The 6xx specific mmu functions in arch/boot/common/util.S break 
> the compile for
>  > > other platforms. Compile them for 6xx only.
>  >
> > They, er, do?  Can you please post a log?  And what toolchain are you
>  > using?  I'd make a quick guess that the binutils folks are being 
> overly
>  > 'helpful' again, but perhaps I'm just jaded. :)
>
> I'm compiling for 8540 (e500)
>
>   AS      arch/ppc/boot/common/util.o
> /home/tglx/work/repos/linux-ebrain/2.6.10-
>  rc3/arch/ppc/boot/common/util.S: Assembler messages:
>  /home/tglx/work/repos/linux-ebrain/2.6.10-
>  rc3/arch/ppc/boot/common/util.S:76: Error: Unrecognized opcode: 
> `mtsrin'
>  make[3]: *** [arch/ppc/boot/common/util.o] Error 1
>  make[2]: *** [arch/ppc/boot/common] Error 2
>  make[1]: *** [zImage] Error 2
>  make: *** [_all] Error 2
>
> Toolchain is built with crosstool
>
> binutils-2.15
>  gcc-3.4.2
>  glibc-2.3.3
>
> tglx
>
>
>
> _______________________________________________
> Linuxppc-embedded mailing list
>  [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded